Classes | Namespaces | Enumerations
PMLParser.cpp File Reference
`#include <cassert>`
`#include <librevenge/librevenge.h>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libebook_utils.h"`
`#include "EBOOKCharsetConverter.h"`
`#include "EBOOKMemoryStream.h"`
`#include "EBOOKUTF8Stream.h"`
`#include "EBOOKZlibStream.h"`
`#include "PDXLZ77Stream.h"`
`#include "PMLParser.h"`
`#include "PMLTypes.h"`

## Classes
struct | libebook::PMLHeader
struct | libebook::PMLTextParserState

## Namespaces
| libebook

## Enumerations
enum | libebook::@118::Compression

## Enumeration Type Documentation

## § Compression

enum libebook::@118::Compression

## Variable Documentation

## § m_attributes

PMLAttributes m_attributes
| private

## § m_boldFontOpened

bool m_boldFontOpened
| private

## § m_document

librevenge::RVNGTextInterface* m_document
| private

## § m_imageMap

const PMLParser::ImageMap_t& m_imageMap
| private

## § m_input

librevenge::RVNGInputStream* m_input
| private

## § m_largeFontOpened

bool m_largeFontOpened
| private

## § m_paragraphOpened

bool m_paragraphOpened
| private

## § m_stdFontOpened

bool m_stdFontOpened
| private

## § m_stream

boost::scoped_ptr<librevenge::RVNGInputStream> m_stream
| private

## § m_text

string m_text
| private

## § m_visible

bool m_visible
| private